Package com.orbbec.obsensor

## Interface UpgradeCallback

    public interface UpgradeCallback

Firmware upgrade callback class

### Field Summary

Fields
`static short` `ERR_DDR` DDR error
`static short` `ERR_ERASE` Erase failed
`static short` `ERR_FLASH_TYPE` flash type failed
`static short` `ERR_IMG_SIZE` Firmware file size failed
`static short` `ERR_OTHER` other errors
`static short` `ERR_PROGRAM` program error
`static short` `ERR_TIMEOUT` Upgrade timed out
`static short` `ERR_VERIFY` Firmware file verification failed
`static short` `STAT_DONE` Firmware upgrade complete
`static short` `STAT_FILE_TRANSFER` Firmware file transfer status
`static short` `STAT_IN_PROGRESS` Firmware upgrade in progress
`static short` `STAT_START` Firmware upgrade starts
`static short` `STAT_VERIFY_IMAGE` Firmware file verification

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `onCallback​(short state, short percent, java.lang.String msg)` Firmware upgrade callback

### Field Detail

#### STAT_FILE_TRANSFER

    static final short STAT_FILE_TRANSFER

Firmware file transfer status

See Also:
  Constant Field Values

#### STAT_DONE

    static final short STAT_DONE

Firmware upgrade complete

See Also:
  Constant Field Values

#### STAT_IN_PROGRESS

    static final short STAT_IN_PROGRESS

Firmware upgrade in progress

See Also:
  Constant Field Values

#### STAT_START

    static final short STAT_START

Firmware upgrade starts

See Also:
  Constant Field Values

#### STAT_VERIFY_IMAGE

    static final short STAT_VERIFY_IMAGE

Firmware file verification

See Also:
  Constant Field Values

#### ERR_VERIFY

    static final short ERR_VERIFY

Firmware file verification failed

See Also:
  Constant Field Values

#### ERR_PROGRAM

    static final short ERR_PROGRAM

program error

See Also:
  Constant Field Values

#### ERR_ERASE

    static final short ERR_ERASE

Erase failed

See Also:
  Constant Field Values

#### ERR_FLASH_TYPE

    static final short ERR_FLASH_TYPE

flash type failed

See Also:
  Constant Field Values

#### ERR_IMG_SIZE

    static final short ERR_IMG_SIZE

Firmware file size failed

See Also:
  Constant Field Values

#### ERR_OTHER

    static final short ERR_OTHER

other errors

See Also:
  Constant Field Values

#### ERR_DDR

    static final short ERR_DDR

DDR error

See Also:
  Constant Field Values

#### ERR_TIMEOUT

    static final short ERR_TIMEOUT

Upgrade timed out

See Also:
  Constant Field Values

### Method Detail

#### onCallback

    void onCallback​(short state,
                    short percent,
                    java.lang.String msg)

Firmware upgrade callback

Parameters:
  `state` - current state
  `msg` - status information
  `percent` - Current status progress, percentage 0~100